Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Interface BinomialDistribution

All Superinterfaces:
  DiscreteDistribution, Distribution, IntegerDistribution

All Known Implementing Classes:
  BinomialDistributionImpl

public interface BinomialDistribution
extends IntegerDistribution

The Binomial Distribution. Instances of BinomialDistribution objects should be created using `DistributionFactory.createBinomialDistribution(int, double)`.

References:

- Binomial Distribution

Version:
  $Revision: 1.12 $ $Date: 2004/11/07 03:32:48 $

Method Summary
`int` | `getNumberOfTrials()` Access the number of trials for this distribution.
`double` | `getProbabilityOfSuccess()` Access the probability of success for this distribution.
`void` | `setNumberOfTrials(int trials)` Change the number of trials for this distribution.
`void` | `setProbabilityOfSuccess(double p)` Change the probability of success for this distribution.

Methods inherited from interface org.apache.commons.math.distribution.IntegerDistribution
`cumulativeProbability, cumulativeProbability, inverseCumulativeProbability, probability`

Methods inherited from interface org.apache.commons.math.distribution.DiscreteDistribution
`probability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### getNumberOfTrials

    public int getNumberOfTrials()

  Access the number of trials for this distribution.

  Returns:
    the number of trials.

### getProbabilityOfSuccess

    public double getProbabilityOfSuccess()

  Access the probability of success for this distribution.

  Returns:
    the probability of success.

### setNumberOfTrials

    public void setNumberOfTrials(int trials)

  Change the number of trials for this distribution.

  Parameters:
    `trials` - the new number of trials.

### setProbabilityOfSuccess

    public void setProbabilityOfSuccess(double p)

  Change the probability of success for this distribution.

  Parameters:
    `p` - the new probability of success.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.